## ose-alibaba-cloud-csi-driver-container-v4.10.0-202203081809.p0.gb9dd1ad.assembly.stream.tar.gz

=== Makefile ===
# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

PKG=github.com/kubernetes-sigs/alibaba-cloud-csi-driver

GO111MODULE=on
GOPROXY=direct
REPONAME="$(shell pwd | rev | awk -F \/ '{ print $$2 }' | rev)"

.EXPORT_ALL_VARIABLES:

.PHONY: fmt
fmt:
	./hack/check-format.sh

.PHONY: lint
lint:
	./hack/check-golint.sh

.PHONY: vet
vet:
	./hack/check-govet.sh

.PHONY: test
test:
	./hack/check-unittest.sh

.PHONY: build
build:
	./build/build-all-multi.sh "" $(REPONAME)

./PHONY: build-amd
build-amd:
	./build/build-all.sh "" $(REPONAME)

.PHONY: build-arm
build-arm:
	./build/build-all-arm.sh "" $(REPONAME)

.PHONY: build-nas
build-nas:
	./build/build-nas.sh "" $(REPONAME)

.PHONY: build-disk
build-disk:
	./build/build-disk.sh "" $(REPONAME)

=== src/cpfs-client-1.0.0/build/Makefile ===
#
# There are four ways this Makefile can be called:
#
#
# 1.  As a subdirectory from the toplevel, for automake
#
# 2.  A wrapper around the kernel's makefile when building modules, to
#     possibly override the .config file
#
# 3.  At configure time, as the toplevel module dir for building
#     kernel tests
#

ifeq ($(PATCHLEVEL),)

ifeq ($(LUSTRE_LINUX_CONFIG),)

# case #1
include autoMakefile

else

# case #2
# Note that this comes from make -C $LINUX -f $LUSTRE/build/Makefile
# so "include Makefile" below includes $LINUX/Makefile, not this file
include $(LUSTRE_LINUX_CONFIG)
include Makefile

endif # LUSTRE_LINUX_CONFIG

else # PATCHLEVEL

# case #3
ifneq ($(LUSTRE_KERNEL_TEST),)
extra-y = $(LUSTRE_KERNEL_TEST)
endif

obj-m := conftest.o

endif # PATCHLEVEL

=== src/cpfs-client-1.0.0/cpfs-client-dkms-mkdeb/Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms
EXDIR = "ost mgs mdt mdd ofd quota osp lod lfsck osd-ldiskfs osd-zfs"

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
	for dir in "$(EXDIR)"; do \
		echo "removing .c.h in $(SRC)/$(NAME)-$(VERSION)/lustre/$${dir}/*.[ch]" ; \
		rm -f $(SRC)/$(NAME)-$(VERSION)/lustre/$${dir}/*.[ch] ; \
	done ;
	#chmod 644 -R "$(SRC)/$(NAME)-$(VERSION)"
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== src/cpfs-client-1.0.0/cpfs-client-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: DEBIAN_PACKAGE-dkms
Architecture: DEBIAN_BUILD_ARCH
Depends: dkms (>= 1.95), ${misc:Depends}
Conflicts: lustre, lustre-utils, lustre-iokit, lustre-tests, lustre-dev
Description: CPFS Client DKMS package
 This package builds the CPFS Client kernel module using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.
